local t = LoadFallbackB();

--DANCE STUFFS
t[#t+1] = Def.ActorFrame{
	LoadActor("../_Headers/_PlayMode")..{
		InitCommand=cmd(x,SCREEN_CENTER_X-205;y,SCREEN_CENTER_Y-225;draworder,1;);
		OnCommand=cmd(zoom,0.6);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-single-p1")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,-1;visible,GAMESTATE:GetCurrentGame():GetName() == "dance" and GAMESTATE:GetCurrentStyle():GetName() == "single" and GAMESTATE:IsHumanPlayer(PLAYER_1));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-single-p2")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,-1;visible,GAMESTATE:GetCurrentGame():GetName() == "dance" and GAMESTATE:GetCurrentStyle():GetName() == "single" and GAMESTATE:IsHumanPlayer(PLAYER_2));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-versus")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "dance" and GAMESTATE:GetCurrentStyle():GetName() == "versus");
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-double")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "dance" and GAMESTATE:GetCurrentStyle():GetName() == "double");
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-threepanel-p1")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "dance" and GAMESTATE:GetCurrentStyle():GetName() == "threepanel" and GAMESTATE:IsHumanPlayer(PLAYER_1));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-threepanel-p2")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "dance" and GAMESTATE:GetCurrentStyle():GetName() == "threepanel" and GAMESTATE:IsHumanPlayer(PLAYER_2));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-solo-p1")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "dance" and GAMESTATE:GetCurrentStyle():GetName() == "solo" and GAMESTATE:IsHumanPlayer(PLAYER_1));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-solo-p2")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "dance" and GAMESTATE:GetCurrentStyle():GetName() == "solo" and GAMESTATE:IsHumanPlayer(PLAYER_2));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-routine")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "dance" and GAMESTATE:GetCurrentStyle():GetName() == "routine");
		OnCommand=cmd(zoom,0.13);
	};
};

--PUMP STUFFS

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/pump-single-p1")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "pump" and GAMESTATE:GetCurrentStyle():GetName() == "single" and GAMESTATE:IsHumanPlayer(PLAYER_1));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/pump-single-p2")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "pump" and GAMESTATE:GetCurrentStyle():GetName() == "single" and GAMESTATE:IsHumanPlayer(PLAYER_2));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/pump-double")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "pump" and GAMESTATE:GetCurrentStyle():GetName() == "double");
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/pump-halfdouble")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "pump" and GAMESTATE:GetCurrentStyle():GetName() == "halfdouble");
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/pump-versus")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "pump" and GAMESTATE:GetCurrentStyle():GetName() == "versus");
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/pump-routine")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "pump" and GAMESTATE:GetCurrentStyle():GetName() == "routine");
		OnCommand=cmd(zoom,0.13);
	};
};

--TECHNO STUFFS

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-single-p1")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,-1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "single4" and GAMESTATE:IsHumanPlayer(PLAYER_1));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-single-p2")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,-1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "single4" and GAMESTATE:IsHumanPlayer(PLAYER_2));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/pump-single-p1")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,-1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "single5" and GAMESTATE:IsHumanPlayer(PLAYER_1));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/pump-single-p2")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,-1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "single5" and GAMESTATE:IsHumanPlayer(PLAYER_2));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/techno-single8-p1")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,-1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "single8" and GAMESTATE:IsHumanPlayer(PLAYER_1));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/techno-single8-p2")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,-1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "single8" and GAMESTATE:IsHumanPlayer(PLAYER_2));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-double")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "double4");
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/pump-double")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "double5");
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/techno-double8")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,-1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "double8");
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/dance-versus")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "versus4");
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/pump-versus")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "versus5");
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/techno-versus8")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "techno" and GAMESTATE:GetCurrentStyle():GetName() == "versus8");
		OnCommand=cmd(zoom,0.13);
	};
};

--KB7 STUFFS

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/kb7-single-p1")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "kb7" and GAMESTATE:GetCurrentStyle():GetName() == "single" and GAMESTATE:IsHumanPlayer(PLAYER_1));
		OnCommand=cmd(zoom,0.13);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/kb7-single-p2")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "kb7" and GAMESTATE:GetCurrentStyle():GetName() == "single" and GAMESTATE:IsHumanPlayer(PLAYER_2));
		OnCommand=cmd(zoom,0.13);
	};
};

--POPN STUFFS

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/popn-five")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "popn" and GAMESTATE:GetCurrentStyle():GetName() == "popn-five");
		OnCommand=cmd(zoom,0.16);
	};
};

t[#t+1] = Def.ActorFrame{
	LoadActor("../ScreenSelectMusic decorations/popn-nine")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+330;y,SCREEN_CENTER_Y-222;draworder,1;visible,GAMESTATE:GetCurrentGame():GetName() == "popn" and GAMESTATE:GetCurrentStyle():GetName() == "popn-nine");
		OnCommand=cmd(zoom,0.16);
	};
};

return t